Skip to main content
Available in🇮🇳 India
You should perform the following steps to create and charge your customer subsequent payments:
  1. Create an order to charge the customer
  2. Create a recurring payment

3.1. Create an Order to Charge the Customer

You have to create a new order every time you want to charge your customers. This order is different from the one created during the authorisation transaction. The following endpoint creates an order. POST /orders

Request Parameters

integer
required
Amount in currency subunits.
string
required
The 3-letter ISO currency code for the payment.
string
A user-entered unique identifier for the order. For example, Receipt No. 1. You should map this parameter to the order_id sent by Razorpay.
object
Key-value pair you can use to store additional information about the entity. Maximum of 15 key-value pairs, 256 characters each. For example, "note_key": "Beam me up Scotty”.
boolean
required
Determines whether the payment status should be changed to captured automatically or not. Possible values:
  • true: Payments are captured automatically.
  • false: Payments are not captured automatically. You can manually capture payments using the Manually Capture Payments API.

3.2. Create a Recurring Payment

Once you have generated an order_id, use it with the token_id to create a payment and charge the customer. The following endpoint creates a payment to charge the customer. POST /payments/create/recurring

Request Parameters

string
required
The customer’s email address. For example, gaurav.kumar@example.com.
string
required
The customer’s phone number. For example, 9876543210.
string
required
3-letter ISO currency code for the payment. Currently, only INR is allowed.
integer
required
The amount you want to charge your customer. This should be the same as the order amount.
string
required
The unique identifier of the order created. For example, order_1Aa00000000002.
string
required
The unique identifier of the customer you want to charge. For example, cust_1Aa00000000002.
string
required
The token_id generated when the customer successfully completes the authorisation payment. Different payment instruments for the same customer have different token_id.
boolean
required
For emandate, this must be true.
string
A user-entered description for the payment. For example, Creating recurring payment for Gaurav Kumar
object
Key-value pair you can use to store additional information about the entity. Maximum of 15 key-value pairs, 256 characters each. For example, "note_key": "Beam me up Scotty”.
Handy TipsEmandate debits are processed in a daily file with the bank. The payment stays in the created state until the bank responds, which can take up to 2 working days. Razorpay does not retry failed debits automatically; wait 3 to 5 days before retrying.

3.3. Error Scenarios

If a subsequent payment fails, the payment carries an error object with code, description, source, step and reason. Use the reason to decide the next action. For the Emandate error reasons, see Error Codes.

3.4. Best Practices

Best Practices
  • Only tokens in the confirmed state can be used to create subsequent payments.
  • Each subsequent payment must be tied to a new order_id. Do not reuse the order_id created during the authorisation transaction.
  • Subsequent payments can be charged without any intervention from the customer. However, you must create each subsequent payment manually; Razorpay does not automatically create recurring charges on your behalf.
  • Emandate debits are processed in a daily file with the bank. The payment stays in the created state until the bank responds, which can take up to 2 working days.
Last modified on November 19, 2026